/**
 * 
 */
package com.as.lyons.res.svc.aoa.client;

import java.util.Map;

import com.as.lyons.rest.svc.aoa.AccountOwnerDetailsRequest;

/**
 * Used for any class that needs to provided the logon properties.
 * @author pgurov
 *
 */
public interface LogonProperties {
	/**
	 * 
	 * @return
	 */
	int getCompanyId();
	/**
	 * 
	 * @return
	 */
	String getUserName();
	/**
	 * 
	 * @return
	 */
	String getPassword();
	/**
	 * 
	 * @return
	 */
	String getAppStartCommand();
	/**
	 * 
	 * @return
	 */
	Map<String, AoaServiceCall> getSvcMethods();
	
	AccountOwnerDetailsRequest getOwner(); 
}
